2 Replies Latest reply: Jun 6, 2008 8:38 PM by 807578 RSS

    User Agent of Mozilla 1.7 bundled with JDS

    807578
      The User Agent String of Mozilla bundled with JDS is as follows ...

      User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.7) Gecko/20070606

      Is this String as per the spec ? Should'nt it have a version string at the end ? Like ...

      Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.7) Gecko/20061228 Firefox/2.0.0.1

      Absence of this version string is causing certain applications to fail to load properly,
      because certain browser detection scripts fail to recognize the Mozilla in JDS as a
      valid browser.
        • 1. Re: User Agent of Mozilla 1.7 bundled with JDS
          But Mozilla 1.7 isn't Firefox, it's Mozilla !
          It thus seems to me that it's reporting itself correctly.

          If you want a browser that you're more comfortable with, go and install one.
          For example, Mozilla.Org has the current iteration of that Mozilla suite under its current name of SeaMonkey...

          [Sea Monkey Suite for Solaris 10, at Mozilla.Org|http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/1.1.9/contrib/seamonkey-1.1.9.en-US.solaris2.10-sparc.tar.bz2|Sea Monkey suite at Mozilla.Org]

          You can find their README [on their site|http://www.seamonkey-project.org/releases/|on their site], as well.
          • 2. Re: User Agent of Mozilla 1.7 bundled with JDS
            807578
            Understood ! Mozilla isn't Firefox ! The second user agent is for example purpose.
            All I wanted to know if it is mandated to have a version string at the end of the
            User Agent string as in the second User Agent sample I provided.